<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_91) on Fri Dec 07 15:00:36 GMT 2018 -->
<title>G-Index</title>
<meta name="date" content="2018-12-07">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="G-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../mapping/package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-4.html">Prev Letter</a></li>
<li><a href="index-6.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-5.html" target="_top">Frames</a></li>
<li><a href="index-5.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">G</a>&nbsp;<a href="index-6.html">H</a>&nbsp;<a href="index-7.html">I</a>&nbsp;<a href="index-8.html">K</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">O</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">T</a>&nbsp;<a href="index-17.html">U</a>&nbsp;<a href="index-18.html">V</a>&nbsp;<a href="index-19.html">X</a>&nbsp;<a name="I:G">
<!--   -->
</a>
<h2 class="title">G</h2>
<dl>
<dt><span class="memberNameLink"><a href="../mapping/Presenter.html#generateXML-java.lang.String-">generateXML(String)</a></span> - Method in class mapping.<a href="../mapping/Presenter.html" title="class in mapping">Presenter</a></dt>
<dd>
<div class="block">Generate the output XML file.</div>
</dd>
<dt><span class="memberNameLink"><a href="../mapping/TreeNode.html#getChildren--">getChildren()</a></span> - Method in class mapping.<a href="../mapping/TreeNode.html" title="class in mapping">TreeNode</a></dt>
<dd>
<div class="block">Returns the list of child nodes.</div>
</dd>
<dt><span class="memberNameLink"><a href="../mapping/TreeNode.html#getData--">getData()</a></span> - Method in class mapping.<a href="../mapping/TreeNode.html" title="class in mapping">TreeNode</a></dt>
<dd>
<div class="block">Returns the data contained in the node.</div>
</dd>
<dt><span class="memberNameLink"><a href="../mapping/Key.html#getDisplayType--">getDisplayType()</a></span> - Method in class mapping.<a href="../mapping/Key.html" title="class in mapping">Key</a></dt>
<dd>
<div class="block">Returns the enum which describes the way the key will be displayed.</div>
</dd>
<dt><span class="memberNameLink"><a href="../mapping/Key.html#getImage--">getImage()</a></span> - Method in class mapping.<a href="../mapping/Key.html" title="class in mapping">Key</a></dt>
<dd>
<div class="block">Returns the image that the user has defined to be displayed on the 
 mapped key.</div>
</dd>
<dt><span class="memberNameLink"><a href="../mapping/UnicodeConverter.html#getJavaUnicodeChar-int-">getJavaUnicodeChar(int)</a></span> - Static method in class mapping.<a href="../mapping/UnicodeConverter.html" title="class in mapping">UnicodeConverter</a></dt>
<dd>
<div class="block">Returns the character representation of a Unicode integer as a string.</div>
</dd>
<dt><span class="memberNameLink"><a href="../mapping/UnicodeConverter.html#getJavaUnicodeChar-java.lang.String-">getJavaUnicodeChar(String)</a></span> - Static method in class mapping.<a href="../mapping/UnicodeConverter.html" title="class in mapping">UnicodeConverter</a></dt>
<dd>
<div class="block">Returns the character representation of a Unicode hex as a string.</div>
</dd>
<dt><span class="memberNameLink"><a href="../mapping/KeyMap.html#getKey-java.lang.String-">getKey(String)</a></span> - Method in class mapping.<a href="../mapping/KeyMap.html" title="class in mapping">KeyMap</a></dt>
<dd>
<div class="block">Returns the Key object that represents the specified key.</div>
</dd>
<dt><span class="memberNameLink"><a href="../mapping/MappingModel.html#getKey-java.lang.String-java.lang.String-">getKey(String, String)</a></span> - Method in class mapping.<a href="../mapping/MappingModel.html" title="class in mapping">MappingModel</a></dt>
<dd>
<div class="block">Returns the Key object for a specified key and specified keymap.</div>
</dd>
<dt><span class="memberNameLink"><a href="../mapping/MappingModel.html#getKeyMap-java.lang.String-">getKeyMap(String)</a></span> - Method in class mapping.<a href="../mapping/MappingModel.html" title="class in mapping">MappingModel</a></dt>
<dd>
<div class="block">Returns the KeyMap object of the specified name.</div>
</dd>
<dt><span class="memberNameLink"><a href="../mapping/MappingModel.html#getKeyMapTree--">getKeyMapTree()</a></span> - Method in class mapping.<a href="../mapping/MappingModel.html" title="class in mapping">MappingModel</a></dt>
<dd>
<div class="block">Returns the tree of keymaps.</div>
</dd>
<dt><span class="memberNameLink"><a href="../mapping/Key.html#getKeyName--">getKeyName()</a></span> - Method in class mapping.<a href="../mapping/Key.html" title="class in mapping">Key</a></dt>
<dd>
<div class="block">Returns the name of the keyboard key.</div>
</dd>
<dt><span class="memberNameLink"><a href="../mapping/Key.html#getLocation--">getLocation()</a></span> - Method in class mapping.<a href="../mapping/Key.html" title="class in mapping">Key</a></dt>
<dd>
<div class="block">Returns the location of the key on the keyboard.</div>
</dd>
<dt><span class="memberNameLink"><a href="../mapping/KeyMap.html#getMap--">getMap()</a></span> - Method in class mapping.<a href="../mapping/KeyMap.html" title="class in mapping">KeyMap</a></dt>
<dd>
<div class="block">Returns the HashMap that pairs key names to Key objects.</div>
</dd>
<dt><span class="memberNameLink"><a href="../mapping/Key.html#getMappingUnicode--">getMappingUnicode()</a></span> - Method in class mapping.<a href="../mapping/Key.html" title="class in mapping">Key</a></dt>
<dd>
<div class="block">Returns the unicode that the key has been mapped to.</div>
</dd>
<dt><span class="memberNameLink"><a href="../mapping/KeyMap.html#getName--">getName()</a></span> - Method in class mapping.<a href="../mapping/KeyMap.html" title="class in mapping">KeyMap</a></dt>
<dd>
<div class="block">Returns the name of the KeyMap.</div>
</dd>
<dt><span class="memberNameLink"><a href="../mapping/TreeDataStructure.html#getParent-T-">getParent(T)</a></span> - Method in class mapping.<a href="../mapping/TreeDataStructure.html" title="class in mapping">TreeDataStructure</a></dt>
<dd>
<div class="block">Returns the parent of the element in the tree.</div>
</dd>
<dt><span class="memberNameLink"><a href="../mapping/TreeNode.html#getParent--">getParent()</a></span> - Method in class mapping.<a href="../mapping/TreeNode.html" title="class in mapping">TreeNode</a></dt>
<dd>
<div class="block">Returns the parent node of the node.</div>
</dd>
<dt><span class="memberNameLink"><a href="../mapping/Key.html#getTextOverlay--">getTextOverlay()</a></span> - Method in class mapping.<a href="../mapping/Key.html" title="class in mapping">Key</a></dt>
<dd>
<div class="block">Returns the user defined text overlay for the key.</div>
</dd>
<dt><span class="memberNameLink"><a href="../mapping/Key.html#getUniqueKeyIdentifier--">getUniqueKeyIdentifier()</a></span> - Method in class mapping.<a href="../mapping/Key.html" title="class in mapping">Key</a></dt>
<dd>
<div class="block">Get the String used to uniquely identify the key.</div>
</dd>
<dt><span class="memberNameLink"><a href="../mapping/Key.html#getVkKeyCode--">getVkKeyCode()</a></span> - Method in class mapping.<a href="../mapping/Key.html" title="class in mapping">Key</a></dt>
<dd>
<div class="block">Returns the VK key code of the key.</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">G</a>&nbsp;<a href="index-6.html">H</a>&nbsp;<a href="index-7.html">I</a>&nbsp;<a href="index-8.html">K</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">O</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">T</a>&nbsp;<a href="index-17.html">U</a>&nbsp;<a href="index-18.html">V</a>&nbsp;<a href="index-19.html">X</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../mapping/package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-4.html">Prev Letter</a></li>
<li><a href="index-6.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-5.html" target="_top">Frames</a></li>
<li><a href="index-5.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
